﻿namespace FlickRSearcher.Utility
{
  internal class FlickrSearchUri
  {
    public FlickrSearchUri()
    {
      ContentType = 7; // not a magic number, this is "lucky 7" ;-)
      PerPage = Constants.FlickrSearchPageSize;
      ApiKey = "2e47b9a1154be9b3bf482979458afea5";
      Page = 1;
    }
    public int ContentType { get; set; }
    public int PerPage { get; set; }
    public int Page { get; set; }
    public string SearchText { get; set; }
    public string ApiKey { get; set; }

    public string Uri
    {
      get
      {
        return (
          string.Format(
            "http://api.flickr.com/services/rest/?method=flickr.photos.search&" +
            "api_key={0}&" +
            "text={1}&" +
            "page={2}&" +
            "per_page={3}&" +
            "content_type={4}",
            ApiKey, SearchText, Page, PerPage, ContentType));
      }
    }
  }
}