﻿namespace FlickRSearcher.ViewModels
{
  using FlickRSearcher.Utility;

  /// <summary>
  /// This class is a bit of a hack really. I need some separate data that
  /// shares a simple (width,height) tuple between a slider on the screen
  /// and a bunch of items in a list and this felt like the cheapest way
  /// of getting there.
  /// </summary>
  public class ItemSizeViewModel : PropertyChangedNotification
  {
    public ItemSizeViewModel()
    {
      this.ItemWidth = Constants.DefaultItemWidth;
    }
    public int ItemWidth
    {
      get
      {
        return (_ItemWidth);
      }
      set
      {
        _ItemWidth = value;
        RaisePropertyChanged("ItemWidth");
        RaisePropertyChanged("ItemHeight");
      }
    }
    int _ItemWidth;

    public int ItemHeight
    {
      get
      {
        return ((int)(this.ItemWidth * Constants.WidthToHeightFactor));
      }
    }
  }
}