﻿namespace FlickRSearcher.Utility
{
  using System.ComponentModel;

  public class PropertyChangedNotification : INotifyPropertyChanged
  {
    public event PropertyChangedEventHandler PropertyChanged;

    protected void RaisePropertyChanged(string property)
    {
      if (this.PropertyChanged != null)
      {
        this.PropertyChanged(this,
          new PropertyChangedEventArgs(property));
      }
    }
  }
}
